--- title: "Update the Proxy Server Configuration at Device Level" slug: "update-the-proxy-server-configuration-at-device-level" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:36:53Z published: 2026-09-23T09:36:53Z canonical: "docs.trellix.com/update-the-proxy-server-configuration-at-device-level" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the Proxy Server Configuration at Device Level This URL updates the proxy server configuration at device level. ## Resource URL PUT /device//proxyserver ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | device_id | Device id | Number | Yes | Payload parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | useDeviceListSettings | Inherit settings from parent domain | Boolean | Yes | | useProxyserver | Use proxy server configuration | Boolean | Yes | | proxyServerNameOrIPAddr | Proxy server name/IP configuration | String | Yes | | proxyPort | Proxy port configuration | Number | Yes | | userName | Username | String | No | | password | Password | String | No | ## Response Parameters Following fields are returned if the operation was successful, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the operation was successful | Number | ## Example **Request** PUT [https:///sdkapi/device/1001/proxyserver](https://%3CNSM_IP%3E/sdkapi/domain/%3CdomainId%3E/proxyserver) **Payload** ``` {        "useDeviceListSettings": true,        "useProxyserver": false,        "proxyServerNameOrIPAddr": null,        "proxyPort": 0,        "userName": null,        "password": null    } ``` **Response** ``` { "status": 1          } ```   ## Error Information Following error code is returned by the URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal server error |